.::SWF::Sprite(3)

NAME
SWF::Sprite - Sprite (MovieClip) Class

SYNOPSIS
        use SWF::Sprite;
        my $sprite = new SWF::Sprite();

DESCRIPTION
SWF::Sprite allows you to add animated objects to your Fash movies. You may use SWF::MovieClip instead of SWF::Sprite (i.e. SWF::Sprite inherits all it's methods from SWF::MovieClip). In other words: SWF::Sprite is deprecated! Do NOT use anymore.

METHODS

new SWF::Sprite();
    Returns an SWF::Sprite object.

$displayItem = $sprite->add($s);
    Add $s to the $sprite object and returns an SWF::DisplayItem object, i.e. $displayItem . $s may be an SWF::Shape, SWF::Text, SWF::Button, or another sprite object.

$sprite->remove($displayItem);
    Removes $displayItem from the display list.

$sprite->nextFrame();
    Move to the next frame of the animation.

$sprite->setFrames($i);
    Sets total number of $sprite frames to $i

$sprite->labelFrame($name);
    Sets frame name to $name

AUTHOR
Soheil Seyfaie (soheil@netcom.ca).

SEE ALSO
SWF, SWF::MovieClip, SWF::Button, SWF::DisplayItem, SWF::Shape, SWF::Sprite, SWF::Movie